if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
export class MainPage extends ViewPU {
    constructor(k, l, m, n = -1, o = undefined, p) {
        super(k, m, n, p);
        if (typeof o === "function") {
            this.paramsGenerator_ = o;
        }
        this.__message = new ObservedPropertySimplePU('Hello World', this, "message");
        this.setInitiallyProvidedValue(l);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(j) {
        if (j.message !== undefined) {
            this.message = j.message;
        }
    }
    updateStateVars(i) {
    }
    purgeVariableDependenciesOnElmtId(h) {
        this.__message.purgeDependencyOnElmtId(h);
    }
    aboutToBeDeleted() {
        this.__message.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    get message() {
        return this.__message.get();
    }
    set message(g) {
        this.__message.set(g);
    }
    initialRender() {
        this.observeComponentCreation2((e, f) => {
            Row.create();
            Row.height('100%');
        }, Row);
        this.observeComponentCreation2((c, d) => {
            Column.create();
            Column.width('100%');
        }, Column);
        this.observeComponentCreation2((a, b) => {
            Text.create(this.message);
            Text.fontSize(50);
            Text.fontWeight(FontWeight.Bold);
            Text.onClick(() => {
            });
        }, Text);
        Text.pop();
        Column.pop();
        Row.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
}
